aboutsummaryrefslogtreecommitdiffstats
path: root/Scripts
diff options
context:
space:
mode:
authorstuconnolly <stuart02@gmail.com>2010-10-25 10:36:17 +0000
committerstuconnolly <stuart02@gmail.com>2010-10-25 10:36:17 +0000
commitb3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a (patch)
tree8abd5c59a6ec7c02a14164b9e890f03ef8d3a907 /Scripts
parent4225c12ba967f91efb136adc63a4400422b01708 (diff)
downloadsequelpro-b3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a.tar.gz
sequelpro-b3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a.tar.bz2
sequelpro-b3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a.zip
Update the appropriate build scripts to ensure they are being run by Xcode.
Diffstat (limited to 'Scripts')
-rwxr-xr-xScripts/build-version.pl1
-rwxr-xr-xScripts/build.sh6
-rwxr-xr-xScripts/localize.sh6
-rwxr-xr-xScripts/package-application.sh1
4 files changed, 14 insertions, 0 deletions
diff --git a/Scripts/build-version.pl b/Scripts/build-version.pl
index cd56310d..fa12bfdb 100755
--- a/Scripts/build-version.pl
+++ b/Scripts/build-version.pl
@@ -11,6 +11,7 @@
## Subversion revision.
use strict;
+use warnings;
die "$0: Must be run from within Xcode. Exiting..." unless $ENV{"BUILT_PRODUCTS_DIR"};
diff --git a/Scripts/build.sh b/Scripts/build.sh
index 149705cb..2e48dacc 100755
--- a/Scripts/build.sh
+++ b/Scripts/build.sh
@@ -11,6 +11,12 @@
## into Xcode's 'Run Scripts' build phase to make it easier to work with. As such this script
## can only be run by Xcode.
+if [ "${BUILT_PRODUCTS_DIR}x" == 'x' ]
+then
+ echo 'This script should only be run by Xcode. Exiting...'
+ exit 1
+fi
+
BUILD_PRODUCT="${BUILT_PRODUCTS_DIR}/${TARGET_NAME}${WRAPPER_SUFFIX}"
echo 'Updating build version...'
diff --git a/Scripts/localize.sh b/Scripts/localize.sh
index 911cf8ea..e3de6957 100755
--- a/Scripts/localize.sh
+++ b/Scripts/localize.sh
@@ -9,6 +9,12 @@
##
## Description: Localizes all of the application's NIB files. This script should only be run by Xcode.
+if [ "${BUILT_PRODUCTS_DIR}x" == 'x' ]
+then
+ echo 'This script should only be run by Xcode. Exiting...'
+ exit 1
+fi
+
echo "Running genstrings to update 'Localizable.strings'..."
# Update 'Localizable.strings' by running genstrings(1)
diff --git a/Scripts/package-application.sh b/Scripts/package-application.sh
index e00c91a5..69e14058 100755
--- a/Scripts/package-application.sh
+++ b/Scripts/package-application.sh
@@ -12,6 +12,7 @@
# Ensure the path to the application has been supplied - should have occurred when the
# script was run by selecting "Distribution" target and building.
+
if [ $# -eq 0 ]
then
echo 'The path to the application must be supplied when running this script.'